Mail API reference

Mail API · Smtp-Config

post/v1/workspaces/{workspace_id}/smtp-config/verify-savedAuth

Test the persisted workspace-default SMTP config; updates status

Path parameters

workspace_id*string · uuid

Id of the workspace.

Response · 200

ok*boolean

True when the server accepted the connection and login.

errorobject

The failure; absent when `ok` is true.

Example

Request

POST https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/smtp-config/verify-saved
Authorization: Bearer YOUR_TOKEN

Response

{
  "ok": false,
  "error": {}
}